#ifndef PARTICLE_H
#define PARTICLE_H

#define MAX_PARTICLES 256

typedef struct
{

    fixed fx, fy, vx, vy;
    int x, y, color;
    int life, active;
    ANIMATION * ap;

} PARTICLE;

void particle_logic(PARTICLE * pp);
void generate_particle(int x, int y, float vx, float vy, int color);
void reset_particles(void);

#endif
